\input autohead
\input booklet
\input newtable
\input verbatim

\font\bff cmbx10 at 14.4pt
\font\ttt cmtt10 at 14.4pt

\twominipages \defaultsizes \landscape

\def\tex-{\TeX}
\centerline{}
\bigskip
\bigskip
\centerline{\bff Vce strnek na jeden papr}
\medskip
\centerline{\bff pomoc makra \ttt booklet.tex}
\bigskip
\bigskip

Vce \tex-ovch strnek na jeden list papru je mon vyszet vce
zpsoby. Jednou z~monost je pout makro {\tt booklet.tex}. Toto makro
modifikuje vstupn rutinu tm zpsobem, e si podle poteby uschovv hotov
(mini)strnky v~pamti a~podle poteby je umisuje vedle sebe a~nad
sebe. Z~tohoto plyne, e toto makro nelze pout tam, kde je pouita
takov vstupn rutina, kter pi nkterm voln nepouv pkaz
\verb|\shipout|. Umis\-o\-vn strnek na papru je takov, e po
ppadnm rozsthn maj ministrnky na vech stranch stejn okraje.

\def\1{\char92 }
\def\}{\char125 }
\def\{{\char123 }
\def\<#1>{$\langle${\sl#1}$\rangle$}

\tabulka[|o{105mm \tolerance1000 \hangindent 10mm \hangafter1}|]
\hornicara
\hfil \tt booklet.tex\\
\strednicara
{\tt\1realpaper\{\<ka>\}\{\<vka>\}} rozmry papru\\
{\tt\1smallpage\{\<ka>\}\{\<vka>\}} rozmry ministrnky\\
{\tt\1twominipages}    dv ministrnky vedle sebe na list papru\\
{\tt\1fourminipages} tyi ministrnky vedle sebe a~nad sebe na list
      papru\\
{\tt\1booklet} dv ministrnky vedle sebe na list papru v~poad pro
      knku.\\
{\tt\1smallbooklet} tyi ministrnky vedle sebe a~nad sebe na list
      papru v~poad pro knku.\\
{\tt\1vertically}  po {\tt\1twominipages} znamen dv ministrnky pod
      sebou na list papru.\\
{\tt\1addhrules} horizontln ry.\\
{\tt\1addvrules} vertikln ry.\\
{\tt\1rulesonodd} ry jen na lich strnky\\
{\tt\1defaultsizes} nastaven implicitnch hodnot ministrnek\\
{\tt\1landscape}  zamnit rozmry papru.\\
{\tt\1landscapeminipage} zamnit rozmry ministrnek.\\
\dolnicara
\konectabulky

\vfil\eject

\tabulka[|o{105mm \tolerance1000  \hangindent 10mm \hangafter1}|]
\hornicara
{\tt\1realpaper\{\<ka>\}\{\<vka>\}} naznauje, e rozmry listu
      papru, na kter se bude tisknout jsou \<ka>$\times$\<vka>.
       Implicitn je nastaveno {\tt 210truemm a~297truemm}.\\
{\tt\1smallpage\{\<ka>\}\{\<vka>\}} naznauje, e rozmry zrcadla
      ministrnek jsou \<ka>$\times$\<vka>. \hfill
      Implicitn se ponechvaj uivatelovy hodnoty {\tt\1hsize}
      a~{\tt\1vsize}.\\
{\tt\1twominipages} znamen, e na jedn strnce papru budou umstny
       dv ministrnky vedle sebe.\\
{\tt\1fourminipages} znamen, e na jedn strnce papru budou ums\-tny
       tyi ministrnky (vedle sebe a~pod sebou).\\
{\tt\1booklet}      je tot, co {\tt\1twominipages}, ale poad
      strnek je takov, e po vytitn vech sudch strnek a~vech
      lichch strnek na jejich druhou stranu a~po pehnut dostaneme
      seitek, ve kterm jsou strnky oslovny za sebou. Protoe cel
      dokument mus bt uloen najednou v~pamti, me dochzet
      u~delch dokument na PC k~vyerpn pamti.\\
{\tt\1smallbooklet}    je tot, co {\tt\1fourminipages}, ale poad
      strnek je takov,  e po vytitn vech sudch strnek a~vech
      lichch strnek na jejich druhou stranu, rozsthnut papr na
      polovinu, jejich uspodn a~pehnut na polovinu dostaneme
      seitek, ve kterm jsou strnky oslovny za sebou. Protoe cel
      dokument mus bt uloen najednou v~pamti, me dochzet
      u~delch dokument na PC k~vyerpn pamti.\\
{\tt\1vertically}  lze pout pouze po dicm slov {\tt\1twominipages}
      a~znamen, e ministrnky budou umstny nad sebou (msto vedle
      sebe).
{\tt\1addhrules}   znamen, e na papru se maj vyszet vodorovn
      ry naznaujc msto pro rozstien papr.\\
{\tt\1addvrules}   znamen, e na papru se maj vyszet svisl
      ry naznaujc msto pro rozstien i peloen papr.\\
{\tt\1rulesonodd}  znamen, e se ry z~pedchozch ppad maj szet
      jen na lich strnky.
{\tt\1defaultsizes}  me bt pouito po dicch slovech
      {\tt\1twominipages}, {\tt\1fourminipages}, {\tt\1booklet},
      {\tt\1smallbooklet} a~nastavuje hodnoty ky a~vky ministrnky
      na hodnoty
      {\tt70truemm a~110truemm}  (pro {\tt\1fourminipages} 
a~{\tt\1smallbooklet}) nebo
      {\tt115truemm a~175truemm} (pro {\tt\1booklet}
      a{\tt\1smallbooklet}).\\
{\tt\1landscape} zamn aktuln hodnoty  ky a~vky papru.\\
{\tt\1landscapeminipage} zamn aktuln hodnoty ky a~vky
      mini\-strnky.\\
\dolnicara
\konectabulky

\bye
